======
Filter
======

Filter commands are used to create real-time filters of output request data.

Create filters
--------------

In Mdb
~~~~~~

.. autoclass:: abaqus.Filter.FilterModel.FilterModel
    :members:

In Odb
~~~~~~

.. autoclass:: abaqus.Filter.FilterOdb.FilterOdb
    :members:

    .. autoclasstoc::


Object features
---------------

Filter
~~~~~~

.. autoclass:: abaqus.Filter.Filter.Filter
    :members:

    .. autoclasstoc::

ButterworthFilter
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Filter.ButterworthFilter.ButterworthFilter
    :members:

    .. autoclasstoc::

Chebyshev1Filter
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Filter.Chebyshev1Filter.Chebyshev1Filter
    :members:

    .. autoclasstoc::

Chebyshev2Filter
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Filter.Chebyshev2Filter.Chebyshev2Filter
    :members:

    .. autoclasstoc::

OperatorFilter
~~~~~~~~~~~~~~

.. autoclass:: abaqus.Filter.OperatorFilter.OperatorFilter
    :members:

    .. autoclasstoc::

